// Chattr - Twitter client on .NET
//
// Copyright (c) 2007 Katsuhiko Ichinose <ichi@users.sourceforge.jp>
//
// Chattr is Free Software released under GNU General Public License.
//
// $Id: CListBox.cs 27 2007-10-19 09:14:31Z ichi $

using System;
using System.Collections.Generic;
using System.Text;

namespace Chattr
{
    class CListBox : System.Windows.Forms.ListBox
    {
        private const int WM_VSCROLL = 0x115;
        private EventArgs e = new EventArgs();

        public event EventHandler Scroll;

        protected override void WndProc(ref System.Windows.Forms.Message m)
        {
            switch (m.Msg)
            {
                case WM_VSCROLL:
                    this.Scroll(this, e);
                    break;
            }
            base.WndProc(ref m);
        }
    }
}
